
import time
from eegParser import Parser_main
from RunOnce import is_program_running

if __name__ == "__main__":

    if not is_program_running():
        parser_ = Parser_main()
        parser_.connect()

        try:
            parser_.start()
            while not parser_.zmqServer.IsExitApp:
                time.sleep(1)
        except KeyboardInterrupt:
            parser_.stop()
